Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Erm. Really revalidate this dataset (old one must be removed before regeneration...
[simgrid.git] / teshsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27
28 VPATH = @srcdir@
29 pkgdatadir = $(datadir)/@PACKAGE@
30 pkglibdir = $(libdir)/@PACKAGE@
31 pkgincludedir = $(includedir)/@PACKAGE@
32 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
33 install_sh_DATA = $(install_sh) -c -m 644
34 install_sh_PROGRAM = $(install_sh) -c
35 install_sh_SCRIPT = $(install_sh) -c
36 INSTALL_HEADER = $(INSTALL_DATA)
37 transform = $(program_transform_name)
38 NORMAL_INSTALL = :
39 PRE_INSTALL = :
40 POST_INSTALL = :
41 NORMAL_UNINSTALL = :
42 PRE_UNINSTALL = :
43 POST_UNINSTALL = :
44 build_triplet = @build@
45 host_triplet = @host@
46 target_triplet = @target@
47 noinst_PROGRAMS = xbt/parallel_log_crashtest$(EXEEXT) \
48         gras/datadesc/datadesc_usage$(EXEEXT) \
49         gras/msg_handle/msg_handle_client$(EXEEXT) \
50         gras/msg_handle/msg_handle_server$(EXEEXT) \
51         gras/msg_handle/msg_handle_simulator$(EXEEXT) \
52         simdag/network/test_reinit_costs$(EXEEXT) \
53         simdag/basic0$(EXEEXT) simdag/basic1$(EXEEXT) \
54         simdag/basic2$(EXEEXT) simdag/basic3$(EXEEXT) \
55         simdag/basic4$(EXEEXT) simdag/basic5$(EXEEXT) \
56         simdag/network/p2p/test_latency1$(EXEEXT) \
57         simdag/network/p2p/test_latency2$(EXEEXT) \
58         simdag/network/p2p/test_latency3$(EXEEXT) \
59         simdag/network/p2p/test_latency_bound$(EXEEXT) \
60         simdag/network/mxn/test_intra_all2all$(EXEEXT) \
61         simdag/network/mxn/test_intra_independent_comm$(EXEEXT) \
62         simdag/network/mxn/test_intra_scatter$(EXEEXT) \
63         simdag/partask/test_comp_only_seq$(EXEEXT) \
64         simdag/partask/test_comp_only_par$(EXEEXT)
65 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = gras/msg_handle/test_rl gras/msg_handle/test_sg_32
66 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = gras/msg_handle/test_rl gras/msg_handle/test_sg_64
67 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
68         $(top_srcdir)/acmacro/dist-files.mk
69 subdir = teshsuite
70 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
71 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
72         $(top_srcdir)/acmacro/compiler-flags.m4 \
73         $(top_srcdir)/acmacro/context.m4 \
74         $(top_srcdir)/acmacro/fancy_configury.m4 \
75         $(top_srcdir)/acmacro/flex.m4 \
76         $(top_srcdir)/acmacro/gras_arch.m4 \
77         $(top_srcdir)/acmacro/print_null.m4 \
78         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
79 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
80         $(ACLOCAL_M4)
81 mkinstalldirs = $(install_sh) -d
82 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
83 CONFIG_CLEAN_FILES =
84 PROGRAMS = $(noinst_PROGRAMS)
85 am_gras_datadesc_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
86         datadesc_structs.$(OBJEXT)
87 gras_datadesc_datadesc_usage_OBJECTS =  \
88         $(am_gras_datadesc_datadesc_usage_OBJECTS)
89 gras_datadesc_datadesc_usage_DEPENDENCIES = $(LDADD_RL)
90 am__dirstamp = $(am__leading_dot)dirstamp
91 am_gras_msg_handle_msg_handle_client_OBJECTS = msg_handle.$(OBJEXT) \
92         _msg_handle_client.$(OBJEXT)
93 gras_msg_handle_msg_handle_client_OBJECTS =  \
94         $(am_gras_msg_handle_msg_handle_client_OBJECTS)
95 gras_msg_handle_msg_handle_client_DEPENDENCIES = $(LDADD_RL)
96 am_gras_msg_handle_msg_handle_server_OBJECTS = msg_handle.$(OBJEXT) \
97         _msg_handle_server.$(OBJEXT)
98 gras_msg_handle_msg_handle_server_OBJECTS =  \
99         $(am_gras_msg_handle_msg_handle_server_OBJECTS)
100 gras_msg_handle_msg_handle_server_DEPENDENCIES = $(LDADD_RL)
101 am_gras_msg_handle_msg_handle_simulator_OBJECTS =  \
102         msg_handle.$(OBJEXT) _msg_handle_simulator.$(OBJEXT)
103 gras_msg_handle_msg_handle_simulator_OBJECTS =  \
104         $(am_gras_msg_handle_msg_handle_simulator_OBJECTS)
105 gras_msg_handle_msg_handle_simulator_DEPENDENCIES = $(LDADD_SG)
106 am_simdag_basic0_OBJECTS = basic0.$(OBJEXT)
107 simdag_basic0_OBJECTS = $(am_simdag_basic0_OBJECTS)
108 simdag_basic0_DEPENDENCIES = $(LDADD_SG)
109 am_simdag_basic1_OBJECTS = basic1.$(OBJEXT)
110 simdag_basic1_OBJECTS = $(am_simdag_basic1_OBJECTS)
111 simdag_basic1_DEPENDENCIES = $(LDADD_SG)
112 am_simdag_basic2_OBJECTS = basic2.$(OBJEXT)
113 simdag_basic2_OBJECTS = $(am_simdag_basic2_OBJECTS)
114 simdag_basic2_DEPENDENCIES = $(LDADD_SG)
115 am_simdag_basic3_OBJECTS = basic3.$(OBJEXT)
116 simdag_basic3_OBJECTS = $(am_simdag_basic3_OBJECTS)
117 simdag_basic3_DEPENDENCIES = $(LDADD_SG)
118 am_simdag_basic4_OBJECTS = basic4.$(OBJEXT)
119 simdag_basic4_OBJECTS = $(am_simdag_basic4_OBJECTS)
120 simdag_basic4_DEPENDENCIES = $(LDADD_SG)
121 am_simdag_basic5_OBJECTS = basic5.$(OBJEXT)
122 simdag_basic5_OBJECTS = $(am_simdag_basic5_OBJECTS)
123 simdag_basic5_DEPENDENCIES = $(LDADD_SG)
124 am_simdag_network_mxn_test_intra_all2all_OBJECTS =  \
125         test_intra_all2all.$(OBJEXT)
126 simdag_network_mxn_test_intra_all2all_OBJECTS =  \
127         $(am_simdag_network_mxn_test_intra_all2all_OBJECTS)
128 simdag_network_mxn_test_intra_all2all_DEPENDENCIES = $(LDADD_SG)
129 am_simdag_network_mxn_test_intra_independent_comm_OBJECTS =  \
130         test_intra_independent_comm.$(OBJEXT)
131 simdag_network_mxn_test_intra_independent_comm_OBJECTS =  \
132         $(am_simdag_network_mxn_test_intra_independent_comm_OBJECTS)
133 simdag_network_mxn_test_intra_independent_comm_DEPENDENCIES =  \
134         $(LDADD_SG)
135 am_simdag_network_mxn_test_intra_scatter_OBJECTS =  \
136         test_intra_scatter.$(OBJEXT)
137 simdag_network_mxn_test_intra_scatter_OBJECTS =  \
138         $(am_simdag_network_mxn_test_intra_scatter_OBJECTS)
139 simdag_network_mxn_test_intra_scatter_DEPENDENCIES = $(LDADD_SG)
140 am_simdag_network_p2p_test_latency1_OBJECTS = test_latency1.$(OBJEXT)
141 simdag_network_p2p_test_latency1_OBJECTS =  \
142         $(am_simdag_network_p2p_test_latency1_OBJECTS)
143 simdag_network_p2p_test_latency1_DEPENDENCIES = $(LDADD_SG)
144 am_simdag_network_p2p_test_latency2_OBJECTS = test_latency2.$(OBJEXT)
145 simdag_network_p2p_test_latency2_OBJECTS =  \
146         $(am_simdag_network_p2p_test_latency2_OBJECTS)
147 simdag_network_p2p_test_latency2_DEPENDENCIES = $(LDADD_SG)
148 am_simdag_network_p2p_test_latency3_OBJECTS = test_latency3.$(OBJEXT)
149 simdag_network_p2p_test_latency3_OBJECTS =  \
150         $(am_simdag_network_p2p_test_latency3_OBJECTS)
151 simdag_network_p2p_test_latency3_DEPENDENCIES = $(LDADD_SG)
152 am_simdag_network_p2p_test_latency_bound_OBJECTS =  \
153         test_latency_bound.$(OBJEXT)
154 simdag_network_p2p_test_latency_bound_OBJECTS =  \
155         $(am_simdag_network_p2p_test_latency_bound_OBJECTS)
156 simdag_network_p2p_test_latency_bound_DEPENDENCIES = $(LDADD_SG)
157 am_simdag_network_test_reinit_costs_OBJECTS =  \
158         test_reinit_costs.$(OBJEXT)
159 simdag_network_test_reinit_costs_OBJECTS =  \
160         $(am_simdag_network_test_reinit_costs_OBJECTS)
161 simdag_network_test_reinit_costs_DEPENDENCIES = $(LDADD_SG)
162 am_simdag_partask_test_comp_only_par_OBJECTS =  \
163         test_comp_only_par.$(OBJEXT)
164 simdag_partask_test_comp_only_par_OBJECTS =  \
165         $(am_simdag_partask_test_comp_only_par_OBJECTS)
166 simdag_partask_test_comp_only_par_DEPENDENCIES = $(LDADD_SG)
167 am_simdag_partask_test_comp_only_seq_OBJECTS =  \
168         test_comp_only_seq.$(OBJEXT)
169 simdag_partask_test_comp_only_seq_OBJECTS =  \
170         $(am_simdag_partask_test_comp_only_seq_OBJECTS)
171 simdag_partask_test_comp_only_seq_DEPENDENCIES = $(LDADD_SG)
172 xbt_parallel_log_crashtest_SOURCES = xbt/parallel_log_crashtest.c
173 xbt_parallel_log_crashtest_OBJECTS = parallel_log_crashtest.$(OBJEXT)
174 xbt_parallel_log_crashtest_DEPENDENCIES = $(LDADD_RL)
175 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
176 depcomp = $(SHELL) $(top_srcdir)/depcomp
177 am__depfiles_maybe = depfiles
178 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
179         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
180 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
181         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
182         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
183 CCLD = $(CC)
184 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
185         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
186         $(LDFLAGS) -o $@
187 SOURCES = $(gras_datadesc_datadesc_usage_SOURCES) \
188         $(gras_msg_handle_msg_handle_client_SOURCES) \
189         $(gras_msg_handle_msg_handle_server_SOURCES) \
190         $(gras_msg_handle_msg_handle_simulator_SOURCES) \
191         $(simdag_basic0_SOURCES) $(simdag_basic1_SOURCES) \
192         $(simdag_basic2_SOURCES) $(simdag_basic3_SOURCES) \
193         $(simdag_basic4_SOURCES) $(simdag_basic5_SOURCES) \
194         $(simdag_network_mxn_test_intra_all2all_SOURCES) \
195         $(simdag_network_mxn_test_intra_independent_comm_SOURCES) \
196         $(simdag_network_mxn_test_intra_scatter_SOURCES) \
197         $(simdag_network_p2p_test_latency1_SOURCES) \
198         $(simdag_network_p2p_test_latency2_SOURCES) \
199         $(simdag_network_p2p_test_latency3_SOURCES) \
200         $(simdag_network_p2p_test_latency_bound_SOURCES) \
201         $(simdag_network_test_reinit_costs_SOURCES) \
202         $(simdag_partask_test_comp_only_par_SOURCES) \
203         $(simdag_partask_test_comp_only_seq_SOURCES) \
204         xbt/parallel_log_crashtest.c
205 DIST_SOURCES = $(gras_datadesc_datadesc_usage_SOURCES) \
206         $(gras_msg_handle_msg_handle_client_SOURCES) \
207         $(gras_msg_handle_msg_handle_server_SOURCES) \
208         $(gras_msg_handle_msg_handle_simulator_SOURCES) \
209         $(simdag_basic0_SOURCES) $(simdag_basic1_SOURCES) \
210         $(simdag_basic2_SOURCES) $(simdag_basic3_SOURCES) \
211         $(simdag_basic4_SOURCES) $(simdag_basic5_SOURCES) \
212         $(simdag_network_mxn_test_intra_all2all_SOURCES) \
213         $(simdag_network_mxn_test_intra_independent_comm_SOURCES) \
214         $(simdag_network_mxn_test_intra_scatter_SOURCES) \
215         $(simdag_network_p2p_test_latency1_SOURCES) \
216         $(simdag_network_p2p_test_latency2_SOURCES) \
217         $(simdag_network_p2p_test_latency3_SOURCES) \
218         $(simdag_network_p2p_test_latency_bound_SOURCES) \
219         $(simdag_network_test_reinit_costs_SOURCES) \
220         $(simdag_partask_test_comp_only_par_SOURCES) \
221         $(simdag_partask_test_comp_only_seq_SOURCES) \
222         xbt/parallel_log_crashtest.c
223 ETAGS = etags
224 CTAGS = ctags
225 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
226 ACLOCAL = @ACLOCAL@
227 ADDR2LINE = @ADDR2LINE@
228 AMTAR = @AMTAR@
229 AM_CPPFLAGS = @AM_CPPFLAGS@
230 AR = @AR@
231 AS = @AS@
232 AUTOCONF = @AUTOCONF@
233 AUTOHEADER = @AUTOHEADER@
234 AUTOMAKE = @AUTOMAKE@
235 AWK = @AWK@
236 BASH = @BASH@
237 CC = @CC@
238 CCDEPMODE = @CCDEPMODE@
239 CFLAGS = @CFLAGS@
240 CPP = @CPP@
241 CPPFLAGS = @CPPFLAGS@
242 CXX = @CXX@
243 CXXCPP = @CXXCPP@
244 CXXDEPMODE = @CXXDEPMODE@
245 CXXFLAGS = @CXXFLAGS@
246 CYGPATH_W = @CYGPATH_W@
247 DEFS = @DEFS@
248 DEPDIR = @DEPDIR@
249 DLLTOOL = @DLLTOOL@
250 DOXYGEN = @DOXYGEN@
251 ECHO = @ECHO@
252 ECHO_C = @ECHO_C@
253 ECHO_N = @ECHO_N@
254 ECHO_T = @ECHO_T@
255 EGREP = @EGREP@
256 EXEEXT = @EXEEXT@
257 FLEXML = @FLEXML@
258 GCJ = @GCJ@
259 GCJDEPMODE = @GCJDEPMODE@
260 GCJFLAGS = @GCJFLAGS@
261 GRAS_DEP = @GRAS_DEP@
262 GREP = @GREP@
263 INSTALL = @INSTALL@
264 INSTALL_DATA = @INSTALL_DATA@
265 INSTALL_PROGRAM = @INSTALL_PROGRAM@
266 INSTALL_SCRIPT = @INSTALL_SCRIPT@
267 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
268 JAR = @JAR@
269 JAVA = @JAVA@
270 JAVAC = @JAVAC@
271 LDFLAGS = @LDFLAGS@
272 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
273 LEX = @LEX@
274 LEXLIB = @LEXLIB@
275 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
276 LIBOBJS = @LIBOBJS@
277 LIBS = @LIBS@
278 LIBTOOL = @LIBTOOL@
279 LN_S = @LN_S@
280 LTLIBOBJS = @LTLIBOBJS@
281 MAINT = @MAINT@
282 MAKEINFO = @MAKEINFO@
283 MD5SUM = @MD5SUM@
284 MKDIR_P = @MKDIR_P@
285 OBJDUMP = @OBJDUMP@
286 OBJEXT = @OBJEXT@
287 PACKAGE = @PACKAGE@
288 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
289 PACKAGE_NAME = @PACKAGE_NAME@
290 PACKAGE_STRING = @PACKAGE_STRING@
291 PACKAGE_TARNAME = @PACKAGE_TARNAME@
292 PACKAGE_VERSION = @PACKAGE_VERSION@
293 PATH_SEPARATOR = @PATH_SEPARATOR@
294 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
295 RANLIB = @RANLIB@
296 SET_MAKE = @SET_MAKE@
297 SHELL = @SHELL@
298 SIMGRID_DEP = @SIMGRID_DEP@
299 SMPI_DEP = @SMPI_DEP@
300 STRIP = @STRIP@
301 VERSION = @VERSION@
302 WARNING = @WARNING@
303 abs_builddir = @abs_builddir@
304 abs_srcdir = @abs_srcdir@
305 abs_top_builddir = @abs_top_builddir@
306 abs_top_srcdir = @abs_top_srcdir@
307 ac_configure_args = @ac_configure_args@
308 ac_ct_CC = @ac_ct_CC@
309 ac_ct_CXX = @ac_ct_CXX@
310 am__include = @am__include@
311 am__leading_dot = @am__leading_dot@
312 am__quote = @am__quote@
313 am__tar = @am__tar@
314 am__untar = @am__untar@
315 bindir = @bindir@
316 build = @build@
317 build_alias = @build_alias@
318 build_cpu = @build_cpu@
319 build_id = @build_id@
320 build_os = @build_os@
321 build_vendor = @build_vendor@
322 builddir = @builddir@
323 datadir = @datadir@
324 datarootdir = @datarootdir@
325 docdir = @docdir@
326 dvidir = @dvidir@
327 exec_prefix = @exec_prefix@
328 host = @host@
329 host_alias = @host_alias@
330 host_cpu = @host_cpu@
331 host_os = @host_os@
332 host_vendor = @host_vendor@
333 htmldir = @htmldir@
334 includedir = @includedir@
335 infodir = @infodir@
336 install_sh = @install_sh@
337 libdir = @libdir@
338 libexecdir = @libexecdir@
339 localedir = @localedir@
340 localstatedir = @localstatedir@
341 mandir = @mandir@
342 mkdir_p = @mkdir_p@
343 oldincludedir = @oldincludedir@
344 pdfdir = @pdfdir@
345 prefix = @prefix@
346 program_transform_name = @program_transform_name@
347 psdir = @psdir@
348 pth_skaddr_makecontext = @pth_skaddr_makecontext@
349 pth_sksize_makecontext = @pth_sksize_makecontext@
350 sbindir = @sbindir@
351 sharedstatedir = @sharedstatedir@
352 srcdir = @srcdir@
353 sysconfdir = @sysconfdir@
354 target = @target@
355 target_alias = @target_alias@
356 target_cpu = @target_cpu@
357 target_os = @target_os@
358 target_vendor = @target_vendor@
359 top_builddir = @top_builddir@
360 top_srcdir = @top_srcdir@
361 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
362 AM_CFLAGS = -g
363
364 # Declare all the variables to empty, so that each test set can add
365 # their content to them
366 CLEANFILES = gras/datadesc/datadesc_usage.out
367 EXTRA_DIST = gras/datadesc/datadesc.little32_4 \
368         gras/datadesc/datadesc.little64 gras/datadesc/datadesc.big32_8 \
369         gras/datadesc/datadesc.big32_8_4 \
370         gras/datadesc/datadesc.big32_2 \
371         gras/datadesc/mk_datadesc_structs.pl \
372         gras/msg_handle/msg_handle.xml \
373         simdag/network/platform_2p_1sl.xml simdag/basic_platform.xml \
374         simdag/network/p2p/platform_2p_1sl.xml \
375         simdag/network/p2p/platform_2p_1fl.xml \
376         simdag/network/p2p/platform_2p_1switch.xml \
377         simdag/network/p2p/platform_2p_1bb.xml \
378         simdag/network/mxn/platform_4p_1switch.xml \
379         simdag/partask/platform_2p_1sl_hetero.xml \
380         simdag/partask/platform_2p_1sl.xml
381 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
382 TESTS = xbt/parallel_log_crashtest.tesh \
383         gras/datadesc/datadesc_mem.tesh gras/datadesc/datadesc_rw.tesh \
384         gras/datadesc/datadesc_r_little32_4.tesh \
385         gras/datadesc/datadesc_r_little64.tesh \
386         gras/datadesc/datadesc_r_big32_8.tesh \
387         gras/datadesc/datadesc_r_big32_8_4.tesh \
388         gras/datadesc/datadesc_r_big32_2.tesh $(am__append_1) \
389         $(am__append_2) simdag/network/test_reinit_costs.tesh \
390         simdag/basic0.tesh simdag/basic1.tesh simdag/basic2.tesh \
391         simdag/basic3.tesh simdag/basic4.tesh simdag/basic5.tesh \
392         simdag/network/p2p/test_latency1.tesh \
393         simdag/network/p2p/test_latency2.tesh \
394         simdag/network/p2p/test_latency3.tesh \
395         simdag/network/p2p/test_latency_bound.tesh \
396         simdag/network/mxn/test_intra_all2all.tesh \
397         simdag/network/mxn/test_intra_independent_comm.tesh \
398         simdag/network/mxn/test_intra_scatter.tesh \
399         simdag/partask/test_comp_only_seq.tesh \
400         simdag/partask/test_comp_only_par.tesh
401 # Data sets still to regenerate:
402 XFAIL_TESTS = gras/datadesc/datadesc_r_little32.tesh \
403         gras/datadesc/datadesc_r_big32_8.tesh \
404         gras/datadesc/datadesc_r_big32_8_4.tesh \
405         gras/datadesc/datadesc_r_big32_2.tesh
406 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la
407 LDADD_RL = $(abs_top_builddir)/src/libgras.la
408 xbt_parallel_log_crashtest_LDADD = $(LDADD_RL)
409 gras_datadesc_datadesc_usage_SOURCES = gras/datadesc/datadesc_usage.c gras/datadesc/datadesc_structs.c
410 gras_datadesc_datadesc_usage_LDADD = $(LDADD_RL)
411 gras_msg_handle_msg_handle_simulator_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_simulator.c
412 gras_msg_handle_msg_handle_client_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_client.c
413 gras_msg_handle_msg_handle_server_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_server.c
414 gras_msg_handle_msg_handle_simulator_LDADD = $(LDADD_SG)
415 gras_msg_handle_msg_handle_client_LDADD = $(LDADD_RL)
416 gras_msg_handle_msg_handle_server_LDADD = $(LDADD_RL)
417 simdag_network_test_reinit_costs_SOURCES = simdag/network/test_reinit_costs.c
418 simdag_network_test_reinit_costs_LDADD = $(LDADD_SG)
419 simdag_basic0_SOURCES = simdag/basic0.c
420 simdag_basic0_LDADD = $(LDADD_SG)
421 simdag_basic1_SOURCES = simdag/basic1.c
422 simdag_basic1_LDADD = $(LDADD_SG)
423 simdag_basic2_SOURCES = simdag/basic2.c
424 simdag_basic2_LDADD = $(LDADD_SG)
425 simdag_basic3_SOURCES = simdag/basic3.c
426 simdag_basic3_LDADD = $(LDADD_SG)
427 simdag_basic4_SOURCES = simdag/basic4.c
428 simdag_basic4_LDADD = $(LDADD_SG)
429 simdag_basic5_SOURCES = simdag/basic5.c
430 simdag_basic5_LDADD = $(LDADD_SG)
431 simdag_network_p2p_test_latency1_SOURCES = simdag/network/p2p/test_latency1.c
432 simdag_network_p2p_test_latency1_LDADD = $(LDADD_SG)
433 simdag_network_p2p_test_latency2_SOURCES = simdag/network/p2p/test_latency2.c
434 simdag_network_p2p_test_latency2_LDADD = $(LDADD_SG)
435 simdag_network_p2p_test_latency3_SOURCES = simdag/network/p2p/test_latency3.c
436 simdag_network_p2p_test_latency3_LDADD = $(LDADD_SG)
437 simdag_network_p2p_test_latency_bound_SOURCES = simdag/network/p2p/test_latency_bound.c
438 simdag_network_p2p_test_latency_bound_LDADD = $(LDADD_SG)
439 simdag_network_mxn_test_intra_all2all_SOURCES = simdag/network/mxn/test_intra_all2all.c
440 simdag_network_mxn_test_intra_all2all_LDADD = $(LDADD_SG)
441 simdag_network_mxn_test_intra_independent_comm_SOURCES = simdag/network/mxn/test_intra_independent_comm.c
442 simdag_network_mxn_test_intra_independent_comm_LDADD = $(LDADD_SG)
443 simdag_network_mxn_test_intra_scatter_SOURCES = simdag/network/mxn/test_intra_scatter.c
444 simdag_network_mxn_test_intra_scatter_LDADD = $(LDADD_SG)
445 simdag_partask_test_comp_only_seq_SOURCES = simdag/partask/test_comp_only_seq.c
446 simdag_partask_test_comp_only_seq_LDADD = $(LDADD_SG)
447 simdag_partask_test_comp_only_par_SOURCES = simdag/partask/test_comp_only_par.c
448 simdag_partask_test_comp_only_par_LDADD = $(LDADD_SG)
449 all: all-am
450
451 .SUFFIXES:
452 .SUFFIXES: .c .lo .o .obj
453 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
454         @for dep in $?; do \
455           case '$(am__configure_deps)' in \
456             *$$dep*) \
457               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
458                 && exit 0; \
459               exit 1;; \
460           esac; \
461         done; \
462         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  teshsuite/Makefile'; \
463         cd $(top_srcdir) && \
464           $(AUTOMAKE) --gnu  teshsuite/Makefile
465 .PRECIOUS: Makefile
466 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
467         @case '$?' in \
468           *config.status*) \
469             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
470           *) \
471             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
472             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
473         esac;
474
475 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
476         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
477
478 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
479         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
480 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
481         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
482
483 clean-noinstPROGRAMS:
484         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
485           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
486           echo " rm -f $$p $$f"; \
487           rm -f $$p $$f ; \
488         done
489 gras/datadesc/$(am__dirstamp):
490         @$(MKDIR_P) gras/datadesc
491         @: > gras/datadesc/$(am__dirstamp)
492 gras/datadesc/datadesc_usage$(EXEEXT): $(gras_datadesc_datadesc_usage_OBJECTS) $(gras_datadesc_datadesc_usage_DEPENDENCIES) gras/datadesc/$(am__dirstamp)
493         @rm -f gras/datadesc/datadesc_usage$(EXEEXT)
494         $(LINK) $(gras_datadesc_datadesc_usage_OBJECTS) $(gras_datadesc_datadesc_usage_LDADD) $(LIBS)
495 gras/msg_handle/$(am__dirstamp):
496         @$(MKDIR_P) gras/msg_handle
497         @: > gras/msg_handle/$(am__dirstamp)
498 gras/msg_handle/msg_handle_client$(EXEEXT): $(gras_msg_handle_msg_handle_client_OBJECTS) $(gras_msg_handle_msg_handle_client_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
499         @rm -f gras/msg_handle/msg_handle_client$(EXEEXT)
500         $(LINK) $(gras_msg_handle_msg_handle_client_OBJECTS) $(gras_msg_handle_msg_handle_client_LDADD) $(LIBS)
501 gras/msg_handle/msg_handle_server$(EXEEXT): $(gras_msg_handle_msg_handle_server_OBJECTS) $(gras_msg_handle_msg_handle_server_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
502         @rm -f gras/msg_handle/msg_handle_server$(EXEEXT)
503         $(LINK) $(gras_msg_handle_msg_handle_server_OBJECTS) $(gras_msg_handle_msg_handle_server_LDADD) $(LIBS)
504 gras/msg_handle/msg_handle_simulator$(EXEEXT): $(gras_msg_handle_msg_handle_simulator_OBJECTS) $(gras_msg_handle_msg_handle_simulator_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
505         @rm -f gras/msg_handle/msg_handle_simulator$(EXEEXT)
506         $(LINK) $(gras_msg_handle_msg_handle_simulator_OBJECTS) $(gras_msg_handle_msg_handle_simulator_LDADD) $(LIBS)
507 simdag/$(am__dirstamp):
508         @$(MKDIR_P) simdag
509         @: > simdag/$(am__dirstamp)
510 simdag/basic0$(EXEEXT): $(simdag_basic0_OBJECTS) $(simdag_basic0_DEPENDENCIES) simdag/$(am__dirstamp)
511         @rm -f simdag/basic0$(EXEEXT)
512         $(LINK) $(simdag_basic0_OBJECTS) $(simdag_basic0_LDADD) $(LIBS)
513 simdag/basic1$(EXEEXT): $(simdag_basic1_OBJECTS) $(simdag_basic1_DEPENDENCIES) simdag/$(am__dirstamp)
514         @rm -f simdag/basic1$(EXEEXT)
515         $(LINK) $(simdag_basic1_OBJECTS) $(simdag_basic1_LDADD) $(LIBS)
516 simdag/basic2$(EXEEXT): $(simdag_basic2_OBJECTS) $(simdag_basic2_DEPENDENCIES) simdag/$(am__dirstamp)
517         @rm -f simdag/basic2$(EXEEXT)
518         $(LINK) $(simdag_basic2_OBJECTS) $(simdag_basic2_LDADD) $(LIBS)
519 simdag/basic3$(EXEEXT): $(simdag_basic3_OBJECTS) $(simdag_basic3_DEPENDENCIES) simdag/$(am__dirstamp)
520         @rm -f simdag/basic3$(EXEEXT)
521         $(LINK) $(simdag_basic3_OBJECTS) $(simdag_basic3_LDADD) $(LIBS)
522 simdag/basic4$(EXEEXT): $(simdag_basic4_OBJECTS) $(simdag_basic4_DEPENDENCIES) simdag/$(am__dirstamp)
523         @rm -f simdag/basic4$(EXEEXT)
524         $(LINK) $(simdag_basic4_OBJECTS) $(simdag_basic4_LDADD) $(LIBS)
525 simdag/basic5$(EXEEXT): $(simdag_basic5_OBJECTS) $(simdag_basic5_DEPENDENCIES) simdag/$(am__dirstamp)
526         @rm -f simdag/basic5$(EXEEXT)
527         $(LINK) $(simdag_basic5_OBJECTS) $(simdag_basic5_LDADD) $(LIBS)
528 simdag/network/mxn/$(am__dirstamp):
529         @$(MKDIR_P) simdag/network/mxn
530         @: > simdag/network/mxn/$(am__dirstamp)
531 simdag/network/mxn/test_intra_all2all$(EXEEXT): $(simdag_network_mxn_test_intra_all2all_OBJECTS) $(simdag_network_mxn_test_intra_all2all_DEPENDENCIES) simdag/network/mxn/$(am__dirstamp)
532         @rm -f simdag/network/mxn/test_intra_all2all$(EXEEXT)
533         $(LINK) $(simdag_network_mxn_test_intra_all2all_OBJECTS) $(simdag_network_mxn_test_intra_all2all_LDADD) $(LIBS)
534 simdag/network/mxn/test_intra_independent_comm$(EXEEXT): $(simdag_network_mxn_test_intra_independent_comm_OBJECTS) $(simdag_network_mxn_test_intra_independent_comm_DEPENDENCIES) simdag/network/mxn/$(am__dirstamp)
535         @rm -f simdag/network/mxn/test_intra_independent_comm$(EXEEXT)
536         $(LINK) $(simdag_network_mxn_test_intra_independent_comm_OBJECTS) $(simdag_network_mxn_test_intra_independent_comm_LDADD) $(LIBS)
537 simdag/network/mxn/test_intra_scatter$(EXEEXT): $(simdag_network_mxn_test_intra_scatter_OBJECTS) $(simdag_network_mxn_test_intra_scatter_DEPENDENCIES) simdag/network/mxn/$(am__dirstamp)
538         @rm -f simdag/network/mxn/test_intra_scatter$(EXEEXT)
539         $(LINK) $(simdag_network_mxn_test_intra_scatter_OBJECTS) $(simdag_network_mxn_test_intra_scatter_LDADD) $(LIBS)
540 simdag/network/p2p/$(am__dirstamp):
541         @$(MKDIR_P) simdag/network/p2p
542         @: > simdag/network/p2p/$(am__dirstamp)
543 simdag/network/p2p/test_latency1$(EXEEXT): $(simdag_network_p2p_test_latency1_OBJECTS) $(simdag_network_p2p_test_latency1_DEPENDENCIES) simdag/network/p2p/$(am__dirstamp)
544         @rm -f simdag/network/p2p/test_latency1$(EXEEXT)
545         $(LINK) $(simdag_network_p2p_test_latency1_OBJECTS) $(simdag_network_p2p_test_latency1_LDADD) $(LIBS)
546 simdag/network/p2p/test_latency2$(EXEEXT): $(simdag_network_p2p_test_latency2_OBJECTS) $(simdag_network_p2p_test_latency2_DEPENDENCIES) simdag/network/p2p/$(am__dirstamp)
547         @rm -f simdag/network/p2p/test_latency2$(EXEEXT)
548         $(LINK) $(simdag_network_p2p_test_latency2_OBJECTS) $(simdag_network_p2p_test_latency2_LDADD) $(LIBS)
549 simdag/network/p2p/test_latency3$(EXEEXT): $(simdag_network_p2p_test_latency3_OBJECTS) $(simdag_network_p2p_test_latency3_DEPENDENCIES) simdag/network/p2p/$(am__dirstamp)
550         @rm -f simdag/network/p2p/test_latency3$(EXEEXT)
551         $(LINK) $(simdag_network_p2p_test_latency3_OBJECTS) $(simdag_network_p2p_test_latency3_LDADD) $(LIBS)
552 simdag/network/p2p/test_latency_bound$(EXEEXT): $(simdag_network_p2p_test_latency_bound_OBJECTS) $(simdag_network_p2p_test_latency_bound_DEPENDENCIES) simdag/network/p2p/$(am__dirstamp)
553         @rm -f simdag/network/p2p/test_latency_bound$(EXEEXT)
554         $(LINK) $(simdag_network_p2p_test_latency_bound_OBJECTS) $(simdag_network_p2p_test_latency_bound_LDADD) $(LIBS)
555 simdag/network/$(am__dirstamp):
556         @$(MKDIR_P) simdag/network
557         @: > simdag/network/$(am__dirstamp)
558 simdag/network/test_reinit_costs$(EXEEXT): $(simdag_network_test_reinit_costs_OBJECTS) $(simdag_network_test_reinit_costs_DEPENDENCIES) simdag/network/$(am__dirstamp)
559         @rm -f simdag/network/test_reinit_costs$(EXEEXT)
560         $(LINK) $(simdag_network_test_reinit_costs_OBJECTS) $(simdag_network_test_reinit_costs_LDADD) $(LIBS)
561 simdag/partask/$(am__dirstamp):
562         @$(MKDIR_P) simdag/partask
563         @: > simdag/partask/$(am__dirstamp)
564 simdag/partask/test_comp_only_par$(EXEEXT): $(simdag_partask_test_comp_only_par_OBJECTS) $(simdag_partask_test_comp_only_par_DEPENDENCIES) simdag/partask/$(am__dirstamp)
565         @rm -f simdag/partask/test_comp_only_par$(EXEEXT)
566         $(LINK) $(simdag_partask_test_comp_only_par_OBJECTS) $(simdag_partask_test_comp_only_par_LDADD) $(LIBS)
567 simdag/partask/test_comp_only_seq$(EXEEXT): $(simdag_partask_test_comp_only_seq_OBJECTS) $(simdag_partask_test_comp_only_seq_DEPENDENCIES) simdag/partask/$(am__dirstamp)
568         @rm -f simdag/partask/test_comp_only_seq$(EXEEXT)
569         $(LINK) $(simdag_partask_test_comp_only_seq_OBJECTS) $(simdag_partask_test_comp_only_seq_LDADD) $(LIBS)
570 xbt/$(am__dirstamp):
571         @$(MKDIR_P) xbt
572         @: > xbt/$(am__dirstamp)
573 xbt/parallel_log_crashtest$(EXEEXT): $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_DEPENDENCIES) xbt/$(am__dirstamp)
574         @rm -f xbt/parallel_log_crashtest$(EXEEXT)
575         $(LINK) $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_LDADD) $(LIBS)
576
577 mostlyclean-compile:
578         -rm -f *.$(OBJEXT)
579
580 distclean-compile:
581         -rm -f *.tab.c
582
583 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_client.Po@am__quote@
584 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_server.Po@am__quote@
585 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_simulator.Po@am__quote@
586 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic0.Po@am__quote@
587 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic1.Po@am__quote@
588 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic2.Po@am__quote@
589 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic3.Po@am__quote@
590 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic4.Po@am__quote@
591 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic5.Po@am__quote@
592 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
593 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
594 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_handle.Po@am__quote@
595 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parallel_log_crashtest.Po@am__quote@
596 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_comp_only_par.Po@am__quote@
597 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_comp_only_seq.Po@am__quote@
598 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_intra_all2all.Po@am__quote@
599 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_intra_independent_comm.Po@am__quote@
600 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_intra_scatter.Po@am__quote@
601 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_latency1.Po@am__quote@
602 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_latency2.Po@am__quote@
603 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_latency3.Po@am__quote@
604 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_latency_bound.Po@am__quote@
605 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_reinit_costs.Po@am__quote@
606
607 .c.o:
608 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
609 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
610 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
611 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
612 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
613
614 .c.obj:
615 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
616 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
617 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
619 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
620
621 .c.lo:
622 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
623 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
624 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
626 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
627
628 datadesc_usage.o: gras/datadesc/datadesc_usage.c
629 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.o `test -f 'gras/datadesc/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_usage.c
630 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
631 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
633 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_usage.c
634
635 datadesc_usage.obj: gras/datadesc/datadesc_usage.c
636 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.obj `if test -f 'gras/datadesc/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_usage.c'; fi`
637 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
638 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
640 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_usage.c'; fi`
641
642 datadesc_structs.o: gras/datadesc/datadesc_structs.c
643 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.o `test -f 'gras/datadesc/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_structs.c
644 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
645 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
646 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
647 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_structs.c
648
649 datadesc_structs.obj: gras/datadesc/datadesc_structs.c
650 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.obj `if test -f 'gras/datadesc/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_structs.c'; fi`
651 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
652 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
654 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_structs.c'; fi`
655
656 msg_handle.o: gras/msg_handle/msg_handle.c
657 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT msg_handle.o -MD -MP -MF $(DEPDIR)/msg_handle.Tpo -c -o msg_handle.o `test -f 'gras/msg_handle/msg_handle.c' || echo '$(srcdir)/'`gras/msg_handle/msg_handle.c
658 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/msg_handle.Tpo $(DEPDIR)/msg_handle.Po
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/msg_handle.c' object='msg_handle.o' libtool=no @AMDEPBACKSLASH@
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
661 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o msg_handle.o `test -f 'gras/msg_handle/msg_handle.c' || echo '$(srcdir)/'`gras/msg_handle/msg_handle.c
662
663 msg_handle.obj: gras/msg_handle/msg_handle.c
664 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT msg_handle.obj -MD -MP -MF $(DEPDIR)/msg_handle.Tpo -c -o msg_handle.obj `if test -f 'gras/msg_handle/msg_handle.c'; then $(CYGPATH_W) 'gras/msg_handle/msg_handle.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/msg_handle.c'; fi`
665 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/msg_handle.Tpo $(DEPDIR)/msg_handle.Po
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/msg_handle.c' object='msg_handle.obj' libtool=no @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o msg_handle.obj `if test -f 'gras/msg_handle/msg_handle.c'; then $(CYGPATH_W) 'gras/msg_handle/msg_handle.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/msg_handle.c'; fi`
669
670 _msg_handle_client.o: gras/msg_handle/_msg_handle_client.c
671 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_client.o -MD -MP -MF $(DEPDIR)/_msg_handle_client.Tpo -c -o _msg_handle_client.o `test -f 'gras/msg_handle/_msg_handle_client.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_client.c
672 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_client.Tpo $(DEPDIR)/_msg_handle_client.Po
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_client.c' object='_msg_handle_client.o' libtool=no @AMDEPBACKSLASH@
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_client.o `test -f 'gras/msg_handle/_msg_handle_client.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_client.c
676
677 _msg_handle_client.obj: gras/msg_handle/_msg_handle_client.c
678 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_client.obj -MD -MP -MF $(DEPDIR)/_msg_handle_client.Tpo -c -o _msg_handle_client.obj `if test -f 'gras/msg_handle/_msg_handle_client.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_client.c'; fi`
679 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_client.Tpo $(DEPDIR)/_msg_handle_client.Po
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_client.c' object='_msg_handle_client.obj' libtool=no @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_client.obj `if test -f 'gras/msg_handle/_msg_handle_client.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_client.c'; fi`
683
684 _msg_handle_server.o: gras/msg_handle/_msg_handle_server.c
685 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_server.o -MD -MP -MF $(DEPDIR)/_msg_handle_server.Tpo -c -o _msg_handle_server.o `test -f 'gras/msg_handle/_msg_handle_server.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_server.c
686 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_server.Tpo $(DEPDIR)/_msg_handle_server.Po
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_server.c' object='_msg_handle_server.o' libtool=no @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_server.o `test -f 'gras/msg_handle/_msg_handle_server.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_server.c
690
691 _msg_handle_server.obj: gras/msg_handle/_msg_handle_server.c
692 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_server.obj -MD -MP -MF $(DEPDIR)/_msg_handle_server.Tpo -c -o _msg_handle_server.obj `if test -f 'gras/msg_handle/_msg_handle_server.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_server.c'; fi`
693 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_server.Tpo $(DEPDIR)/_msg_handle_server.Po
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_server.c' object='_msg_handle_server.obj' libtool=no @AMDEPBACKSLASH@
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
696 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_server.obj `if test -f 'gras/msg_handle/_msg_handle_server.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_server.c'; fi`
697
698 _msg_handle_simulator.o: gras/msg_handle/_msg_handle_simulator.c
699 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_simulator.o -MD -MP -MF $(DEPDIR)/_msg_handle_simulator.Tpo -c -o _msg_handle_simulator.o `test -f 'gras/msg_handle/_msg_handle_simulator.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_simulator.c
700 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_simulator.Tpo $(DEPDIR)/_msg_handle_simulator.Po
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_simulator.c' object='_msg_handle_simulator.o' libtool=no @AMDEPBACKSLASH@
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
703 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_simulator.o `test -f 'gras/msg_handle/_msg_handle_simulator.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_simulator.c
704
705 _msg_handle_simulator.obj: gras/msg_handle/_msg_handle_simulator.c
706 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_simulator.obj -MD -MP -MF $(DEPDIR)/_msg_handle_simulator.Tpo -c -o _msg_handle_simulator.obj `if test -f 'gras/msg_handle/_msg_handle_simulator.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_simulator.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_simulator.c'; fi`
707 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_simulator.Tpo $(DEPDIR)/_msg_handle_simulator.Po
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_simulator.c' object='_msg_handle_simulator.obj' libtool=no @AMDEPBACKSLASH@
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
710 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_simulator.obj `if test -f 'gras/msg_handle/_msg_handle_simulator.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_simulator.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_simulator.c'; fi`
711
712 basic0.o: simdag/basic0.c
713 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic0.o -MD -MP -MF $(DEPDIR)/basic0.Tpo -c -o basic0.o `test -f 'simdag/basic0.c' || echo '$(srcdir)/'`simdag/basic0.c
714 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic0.Tpo $(DEPDIR)/basic0.Po
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic0.c' object='basic0.o' libtool=no @AMDEPBACKSLASH@
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
717 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic0.o `test -f 'simdag/basic0.c' || echo '$(srcdir)/'`simdag/basic0.c
718
719 basic0.obj: simdag/basic0.c
720 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic0.obj -MD -MP -MF $(DEPDIR)/basic0.Tpo -c -o basic0.obj `if test -f 'simdag/basic0.c'; then $(CYGPATH_W) 'simdag/basic0.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic0.c'; fi`
721 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic0.Tpo $(DEPDIR)/basic0.Po
722 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic0.c' object='basic0.obj' libtool=no @AMDEPBACKSLASH@
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
724 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic0.obj `if test -f 'simdag/basic0.c'; then $(CYGPATH_W) 'simdag/basic0.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic0.c'; fi`
725
726 basic1.o: simdag/basic1.c
727 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic1.o -MD -MP -MF $(DEPDIR)/basic1.Tpo -c -o basic1.o `test -f 'simdag/basic1.c' || echo '$(srcdir)/'`simdag/basic1.c
728 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic1.Tpo $(DEPDIR)/basic1.Po
729 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic1.c' object='basic1.o' libtool=no @AMDEPBACKSLASH@
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
731 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic1.o `test -f 'simdag/basic1.c' || echo '$(srcdir)/'`simdag/basic1.c
732
733 basic1.obj: simdag/basic1.c
734 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic1.obj -MD -MP -MF $(DEPDIR)/basic1.Tpo -c -o basic1.obj `if test -f 'simdag/basic1.c'; then $(CYGPATH_W) 'simdag/basic1.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic1.c'; fi`
735 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic1.Tpo $(DEPDIR)/basic1.Po
736 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic1.c' object='basic1.obj' libtool=no @AMDEPBACKSLASH@
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
738 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic1.obj `if test -f 'simdag/basic1.c'; then $(CYGPATH_W) 'simdag/basic1.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic1.c'; fi`
739
740 basic2.o: simdag/basic2.c
741 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic2.o -MD -MP -MF $(DEPDIR)/basic2.Tpo -c -o basic2.o `test -f 'simdag/basic2.c' || echo '$(srcdir)/'`simdag/basic2.c
742 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic2.Tpo $(DEPDIR)/basic2.Po
743 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic2.c' object='basic2.o' libtool=no @AMDEPBACKSLASH@
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
745 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic2.o `test -f 'simdag/basic2.c' || echo '$(srcdir)/'`simdag/basic2.c
746
747 basic2.obj: simdag/basic2.c
748 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic2.obj -MD -MP -MF $(DEPDIR)/basic2.Tpo -c -o basic2.obj `if test -f 'simdag/basic2.c'; then $(CYGPATH_W) 'simdag/basic2.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic2.c'; fi`
749 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic2.Tpo $(DEPDIR)/basic2.Po
750 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic2.c' object='basic2.obj' libtool=no @AMDEPBACKSLASH@
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
752 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic2.obj `if test -f 'simdag/basic2.c'; then $(CYGPATH_W) 'simdag/basic2.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic2.c'; fi`
753
754 basic3.o: simdag/basic3.c
755 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic3.o -MD -MP -MF $(DEPDIR)/basic3.Tpo -c -o basic3.o `test -f 'simdag/basic3.c' || echo '$(srcdir)/'`simdag/basic3.c
756 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic3.Tpo $(DEPDIR)/basic3.Po
757 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic3.c' object='basic3.o' libtool=no @AMDEPBACKSLASH@
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
759 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic3.o `test -f 'simdag/basic3.c' || echo '$(srcdir)/'`simdag/basic3.c
760
761 basic3.obj: simdag/basic3.c
762 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic3.obj -MD -MP -MF $(DEPDIR)/basic3.Tpo -c -o basic3.obj `if test -f 'simdag/basic3.c'; then $(CYGPATH_W) 'simdag/basic3.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic3.c'; fi`
763 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic3.Tpo $(DEPDIR)/basic3.Po
764 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic3.c' object='basic3.obj' libtool=no @AMDEPBACKSLASH@
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
766 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic3.obj `if test -f 'simdag/basic3.c'; then $(CYGPATH_W) 'simdag/basic3.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic3.c'; fi`
767
768 basic4.o: simdag/basic4.c
769 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic4.o -MD -MP -MF $(DEPDIR)/basic4.Tpo -c -o basic4.o `test -f 'simdag/basic4.c' || echo '$(srcdir)/'`simdag/basic4.c
770 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic4.Tpo $(DEPDIR)/basic4.Po
771 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic4.c' object='basic4.o' libtool=no @AMDEPBACKSLASH@
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic4.o `test -f 'simdag/basic4.c' || echo '$(srcdir)/'`simdag/basic4.c
774
775 basic4.obj: simdag/basic4.c
776 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic4.obj -MD -MP -MF $(DEPDIR)/basic4.Tpo -c -o basic4.obj `if test -f 'simdag/basic4.c'; then $(CYGPATH_W) 'simdag/basic4.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic4.c'; fi`
777 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic4.Tpo $(DEPDIR)/basic4.Po
778 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic4.c' object='basic4.obj' libtool=no @AMDEPBACKSLASH@
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic4.obj `if test -f 'simdag/basic4.c'; then $(CYGPATH_W) 'simdag/basic4.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic4.c'; fi`
781
782 basic5.o: simdag/basic5.c
783 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic5.o -MD -MP -MF $(DEPDIR)/basic5.Tpo -c -o basic5.o `test -f 'simdag/basic5.c' || echo '$(srcdir)/'`simdag/basic5.c
784 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic5.Tpo $(DEPDIR)/basic5.Po
785 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic5.c' object='basic5.o' libtool=no @AMDEPBACKSLASH@
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
787 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic5.o `test -f 'simdag/basic5.c' || echo '$(srcdir)/'`simdag/basic5.c
788
789 basic5.obj: simdag/basic5.c
790 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT basic5.obj -MD -MP -MF $(DEPDIR)/basic5.Tpo -c -o basic5.obj `if test -f 'simdag/basic5.c'; then $(CYGPATH_W) 'simdag/basic5.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic5.c'; fi`
791 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/basic5.Tpo $(DEPDIR)/basic5.Po
792 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/basic5.c' object='basic5.obj' libtool=no @AMDEPBACKSLASH@
793 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o basic5.obj `if test -f 'simdag/basic5.c'; then $(CYGPATH_W) 'simdag/basic5.c'; else $(CYGPATH_W) '$(srcdir)/simdag/basic5.c'; fi`
795
796 test_intra_all2all.o: simdag/network/mxn/test_intra_all2all.c
797 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_all2all.o -MD -MP -MF $(DEPDIR)/test_intra_all2all.Tpo -c -o test_intra_all2all.o `test -f 'simdag/network/mxn/test_intra_all2all.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_all2all.c
798 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_all2all.Tpo $(DEPDIR)/test_intra_all2all.Po
799 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_all2all.c' object='test_intra_all2all.o' libtool=no @AMDEPBACKSLASH@
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_all2all.o `test -f 'simdag/network/mxn/test_intra_all2all.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_all2all.c
802
803 test_intra_all2all.obj: simdag/network/mxn/test_intra_all2all.c
804 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_all2all.obj -MD -MP -MF $(DEPDIR)/test_intra_all2all.Tpo -c -o test_intra_all2all.obj `if test -f 'simdag/network/mxn/test_intra_all2all.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_all2all.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_all2all.c'; fi`
805 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_all2all.Tpo $(DEPDIR)/test_intra_all2all.Po
806 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_all2all.c' object='test_intra_all2all.obj' libtool=no @AMDEPBACKSLASH@
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_all2all.obj `if test -f 'simdag/network/mxn/test_intra_all2all.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_all2all.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_all2all.c'; fi`
809
810 test_intra_independent_comm.o: simdag/network/mxn/test_intra_independent_comm.c
811 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_independent_comm.o -MD -MP -MF $(DEPDIR)/test_intra_independent_comm.Tpo -c -o test_intra_independent_comm.o `test -f 'simdag/network/mxn/test_intra_independent_comm.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_independent_comm.c
812 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_independent_comm.Tpo $(DEPDIR)/test_intra_independent_comm.Po
813 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_independent_comm.c' object='test_intra_independent_comm.o' libtool=no @AMDEPBACKSLASH@
814 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
815 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_independent_comm.o `test -f 'simdag/network/mxn/test_intra_independent_comm.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_independent_comm.c
816
817 test_intra_independent_comm.obj: simdag/network/mxn/test_intra_independent_comm.c
818 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_independent_comm.obj -MD -MP -MF $(DEPDIR)/test_intra_independent_comm.Tpo -c -o test_intra_independent_comm.obj `if test -f 'simdag/network/mxn/test_intra_independent_comm.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_independent_comm.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_independent_comm.c'; fi`
819 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_independent_comm.Tpo $(DEPDIR)/test_intra_independent_comm.Po
820 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_independent_comm.c' object='test_intra_independent_comm.obj' libtool=no @AMDEPBACKSLASH@
821 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
822 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_independent_comm.obj `if test -f 'simdag/network/mxn/test_intra_independent_comm.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_independent_comm.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_independent_comm.c'; fi`
823
824 test_intra_scatter.o: simdag/network/mxn/test_intra_scatter.c
825 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_scatter.o -MD -MP -MF $(DEPDIR)/test_intra_scatter.Tpo -c -o test_intra_scatter.o `test -f 'simdag/network/mxn/test_intra_scatter.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_scatter.c
826 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_scatter.Tpo $(DEPDIR)/test_intra_scatter.Po
827 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_scatter.c' object='test_intra_scatter.o' libtool=no @AMDEPBACKSLASH@
828 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_scatter.o `test -f 'simdag/network/mxn/test_intra_scatter.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_scatter.c
830
831 test_intra_scatter.obj: simdag/network/mxn/test_intra_scatter.c
832 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_scatter.obj -MD -MP -MF $(DEPDIR)/test_intra_scatter.Tpo -c -o test_intra_scatter.obj `if test -f 'simdag/network/mxn/test_intra_scatter.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_scatter.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_scatter.c'; fi`
833 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_scatter.Tpo $(DEPDIR)/test_intra_scatter.Po
834 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_scatter.c' object='test_intra_scatter.obj' libtool=no @AMDEPBACKSLASH@
835 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_scatter.obj `if test -f 'simdag/network/mxn/test_intra_scatter.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_scatter.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_scatter.c'; fi`
837
838 test_latency1.o: simdag/network/p2p/test_latency1.c
839 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency1.o -MD -MP -MF $(DEPDIR)/test_latency1.Tpo -c -o test_latency1.o `test -f 'simdag/network/p2p/test_latency1.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency1.c
840 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency1.Tpo $(DEPDIR)/test_latency1.Po
841 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency1.c' object='test_latency1.o' libtool=no @AMDEPBACKSLASH@
842 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
843 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency1.o `test -f 'simdag/network/p2p/test_latency1.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency1.c
844
845 test_latency1.obj: simdag/network/p2p/test_latency1.c
846 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency1.obj -MD -MP -MF $(DEPDIR)/test_latency1.Tpo -c -o test_latency1.obj `if test -f 'simdag/network/p2p/test_latency1.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency1.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency1.c'; fi`
847 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency1.Tpo $(DEPDIR)/test_latency1.Po
848 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency1.c' object='test_latency1.obj' libtool=no @AMDEPBACKSLASH@
849 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
850 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency1.obj `if test -f 'simdag/network/p2p/test_latency1.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency1.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency1.c'; fi`
851
852 test_latency2.o: simdag/network/p2p/test_latency2.c
853 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency2.o -MD -MP -MF $(DEPDIR)/test_latency2.Tpo -c -o test_latency2.o `test -f 'simdag/network/p2p/test_latency2.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency2.c
854 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency2.Tpo $(DEPDIR)/test_latency2.Po
855 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency2.c' object='test_latency2.o' libtool=no @AMDEPBACKSLASH@
856 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
857 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency2.o `test -f 'simdag/network/p2p/test_latency2.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency2.c
858
859 test_latency2.obj: simdag/network/p2p/test_latency2.c
860 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency2.obj -MD -MP -MF $(DEPDIR)/test_latency2.Tpo -c -o test_latency2.obj `if test -f 'simdag/network/p2p/test_latency2.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency2.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency2.c'; fi`
861 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency2.Tpo $(DEPDIR)/test_latency2.Po
862 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency2.c' object='test_latency2.obj' libtool=no @AMDEPBACKSLASH@
863 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency2.obj `if test -f 'simdag/network/p2p/test_latency2.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency2.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency2.c'; fi`
865
866 test_latency3.o: simdag/network/p2p/test_latency3.c
867 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency3.o -MD -MP -MF $(DEPDIR)/test_latency3.Tpo -c -o test_latency3.o `test -f 'simdag/network/p2p/test_latency3.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency3.c
868 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency3.Tpo $(DEPDIR)/test_latency3.Po
869 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency3.c' object='test_latency3.o' libtool=no @AMDEPBACKSLASH@
870 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
871 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency3.o `test -f 'simdag/network/p2p/test_latency3.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency3.c
872
873 test_latency3.obj: simdag/network/p2p/test_latency3.c
874 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency3.obj -MD -MP -MF $(DEPDIR)/test_latency3.Tpo -c -o test_latency3.obj `if test -f 'simdag/network/p2p/test_latency3.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency3.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency3.c'; fi`
875 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency3.Tpo $(DEPDIR)/test_latency3.Po
876 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency3.c' object='test_latency3.obj' libtool=no @AMDEPBACKSLASH@
877 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
878 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency3.obj `if test -f 'simdag/network/p2p/test_latency3.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency3.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency3.c'; fi`
879
880 test_latency_bound.o: simdag/network/p2p/test_latency_bound.c
881 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency_bound.o -MD -MP -MF $(DEPDIR)/test_latency_bound.Tpo -c -o test_latency_bound.o `test -f 'simdag/network/p2p/test_latency_bound.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency_bound.c
882 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency_bound.Tpo $(DEPDIR)/test_latency_bound.Po
883 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency_bound.c' object='test_latency_bound.o' libtool=no @AMDEPBACKSLASH@
884 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
885 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency_bound.o `test -f 'simdag/network/p2p/test_latency_bound.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency_bound.c
886
887 test_latency_bound.obj: simdag/network/p2p/test_latency_bound.c
888 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency_bound.obj -MD -MP -MF $(DEPDIR)/test_latency_bound.Tpo -c -o test_latency_bound.obj `if test -f 'simdag/network/p2p/test_latency_bound.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency_bound.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency_bound.c'; fi`
889 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency_bound.Tpo $(DEPDIR)/test_latency_bound.Po
890 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency_bound.c' object='test_latency_bound.obj' libtool=no @AMDEPBACKSLASH@
891 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
892 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency_bound.obj `if test -f 'simdag/network/p2p/test_latency_bound.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency_bound.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency_bound.c'; fi`
893
894 test_reinit_costs.o: simdag/network/test_reinit_costs.c
895 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_reinit_costs.o -MD -MP -MF $(DEPDIR)/test_reinit_costs.Tpo -c -o test_reinit_costs.o `test -f 'simdag/network/test_reinit_costs.c' || echo '$(srcdir)/'`simdag/network/test_reinit_costs.c
896 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_reinit_costs.Tpo $(DEPDIR)/test_reinit_costs.Po
897 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/test_reinit_costs.c' object='test_reinit_costs.o' libtool=no @AMDEPBACKSLASH@
898 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
899 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_reinit_costs.o `test -f 'simdag/network/test_reinit_costs.c' || echo '$(srcdir)/'`simdag/network/test_reinit_costs.c
900
901 test_reinit_costs.obj: simdag/network/test_reinit_costs.c
902 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_reinit_costs.obj -MD -MP -MF $(DEPDIR)/test_reinit_costs.Tpo -c -o test_reinit_costs.obj `if test -f 'simdag/network/test_reinit_costs.c'; then $(CYGPATH_W) 'simdag/network/test_reinit_costs.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/test_reinit_costs.c'; fi`
903 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_reinit_costs.Tpo $(DEPDIR)/test_reinit_costs.Po
904 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/test_reinit_costs.c' object='test_reinit_costs.obj' libtool=no @AMDEPBACKSLASH@
905 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
906 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_reinit_costs.obj `if test -f 'simdag/network/test_reinit_costs.c'; then $(CYGPATH_W) 'simdag/network/test_reinit_costs.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/test_reinit_costs.c'; fi`
907
908 test_comp_only_par.o: simdag/partask/test_comp_only_par.c
909 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_comp_only_par.o -MD -MP -MF $(DEPDIR)/test_comp_only_par.Tpo -c -o test_comp_only_par.o `test -f 'simdag/partask/test_comp_only_par.c' || echo '$(srcdir)/'`simdag/partask/test_comp_only_par.c
910 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_comp_only_par.Tpo $(DEPDIR)/test_comp_only_par.Po
911 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/partask/test_comp_only_par.c' object='test_comp_only_par.o' libtool=no @AMDEPBACKSLASH@
912 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
913 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_comp_only_par.o `test -f 'simdag/partask/test_comp_only_par.c' || echo '$(srcdir)/'`simdag/partask/test_comp_only_par.c
914
915 test_comp_only_par.obj: simdag/partask/test_comp_only_par.c
916 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_comp_only_par.obj -MD -MP -MF $(DEPDIR)/test_comp_only_par.Tpo -c -o test_comp_only_par.obj `if test -f 'simdag/partask/test_comp_only_par.c'; then $(CYGPATH_W) 'simdag/partask/test_comp_only_par.c'; else $(CYGPATH_W) '$(srcdir)/simdag/partask/test_comp_only_par.c'; fi`
917 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_comp_only_par.Tpo $(DEPDIR)/test_comp_only_par.Po
918 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/partask/test_comp_only_par.c' object='test_comp_only_par.obj' libtool=no @AMDEPBACKSLASH@
919 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
920 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_comp_only_par.obj `if test -f 'simdag/partask/test_comp_only_par.c'; then $(CYGPATH_W) 'simdag/partask/test_comp_only_par.c'; else $(CYGPATH_W) '$(srcdir)/simdag/partask/test_comp_only_par.c'; fi`
921
922 test_comp_only_seq.o: simdag/partask/test_comp_only_seq.c
923 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_comp_only_seq.o -MD -MP -MF $(DEPDIR)/test_comp_only_seq.Tpo -c -o test_comp_only_seq.o `test -f 'simdag/partask/test_comp_only_seq.c' || echo '$(srcdir)/'`simdag/partask/test_comp_only_seq.c
924 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_comp_only_seq.Tpo $(DEPDIR)/test_comp_only_seq.Po
925 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/partask/test_comp_only_seq.c' object='test_comp_only_seq.o' libtool=no @AMDEPBACKSLASH@
926 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
927 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_comp_only_seq.o `test -f 'simdag/partask/test_comp_only_seq.c' || echo '$(srcdir)/'`simdag/partask/test_comp_only_seq.c
928
929 test_comp_only_seq.obj: simdag/partask/test_comp_only_seq.c
930 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_comp_only_seq.obj -MD -MP -MF $(DEPDIR)/test_comp_only_seq.Tpo -c -o test_comp_only_seq.obj `if test -f 'simdag/partask/test_comp_only_seq.c'; then $(CYGPATH_W) 'simdag/partask/test_comp_only_seq.c'; else $(CYGPATH_W) '$(srcdir)/simdag/partask/test_comp_only_seq.c'; fi`
931 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_comp_only_seq.Tpo $(DEPDIR)/test_comp_only_seq.Po
932 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/partask/test_comp_only_seq.c' object='test_comp_only_seq.obj' libtool=no @AMDEPBACKSLASH@
933 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
934 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_comp_only_seq.obj `if test -f 'simdag/partask/test_comp_only_seq.c'; then $(CYGPATH_W) 'simdag/partask/test_comp_only_seq.c'; else $(CYGPATH_W) '$(srcdir)/simdag/partask/test_comp_only_seq.c'; fi`
935
936 parallel_log_crashtest.o: xbt/parallel_log_crashtest.c
937 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.o -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
938 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
939 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.o' libtool=no @AMDEPBACKSLASH@
940 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
941 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
942
943 parallel_log_crashtest.obj: xbt/parallel_log_crashtest.c
944 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.obj -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
945 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
946 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.obj' libtool=no @AMDEPBACKSLASH@
947 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
948 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
949
950 mostlyclean-libtool:
951         -rm -f *.lo
952
953 clean-libtool:
954         -rm -rf .libs _libs
955
956 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
957         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
958         unique=`for i in $$list; do \
959             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
960           done | \
961           $(AWK) '    { files[$$0] = 1; } \
962                END { for (i in files) print i; }'`; \
963         mkid -fID $$unique
964 tags: TAGS
965
966 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
967                 $(TAGS_FILES) $(LISP)
968         tags=; \
969         here=`pwd`; \
970         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
971         unique=`for i in $$list; do \
972             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
973           done | \
974           $(AWK) '    { files[$$0] = 1; } \
975                END { for (i in files) print i; }'`; \
976         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
977           test -n "$$unique" || unique=$$empty_fix; \
978           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
979             $$tags $$unique; \
980         fi
981 ctags: CTAGS
982 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
983                 $(TAGS_FILES) $(LISP)
984         tags=; \
985         here=`pwd`; \
986         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
987         unique=`for i in $$list; do \
988             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
989           done | \
990           $(AWK) '    { files[$$0] = 1; } \
991                END { for (i in files) print i; }'`; \
992         test -z "$(CTAGS_ARGS)$$tags$$unique" \
993           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
994              $$tags $$unique
995
996 GTAGS:
997         here=`$(am__cd) $(top_builddir) && pwd` \
998           && cd $(top_srcdir) \
999           && gtags -i $(GTAGS_ARGS) $$here
1000
1001 distclean-tags:
1002         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1003
1004 check-TESTS: $(TESTS)
1005         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
1006         srcdir=$(srcdir); export srcdir; \
1007         list=' $(TESTS) '; \
1008         if test -n "$$list"; then \
1009           for tst in $$list; do \
1010             if test -f ./$$tst; then dir=./; \
1011             elif test -f $$tst; then dir=; \
1012             else dir="$(srcdir)/"; fi; \
1013             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
1014               all=`expr $$all + 1`; \
1015               case " $(XFAIL_TESTS) " in \
1016               *$$ws$$tst$$ws*) \
1017                 xpass=`expr $$xpass + 1`; \
1018                 failed=`expr $$failed + 1`; \
1019                 echo "XPASS: $$tst"; \
1020               ;; \
1021               *) \
1022                 echo "PASS: $$tst"; \
1023               ;; \
1024               esac; \
1025             elif test $$? -ne 77; then \
1026               all=`expr $$all + 1`; \
1027               case " $(XFAIL_TESTS) " in \
1028               *$$ws$$tst$$ws*) \
1029                 xfail=`expr $$xfail + 1`; \
1030                 echo "XFAIL: $$tst"; \
1031               ;; \
1032               *) \
1033                 failed=`expr $$failed + 1`; \
1034                 echo "FAIL: $$tst"; \
1035               ;; \
1036               esac; \
1037             else \
1038               skip=`expr $$skip + 1`; \
1039               echo "SKIP: $$tst"; \
1040             fi; \
1041           done; \
1042           if test "$$failed" -eq 0; then \
1043             if test "$$xfail" -eq 0; then \
1044               banner="All $$all tests passed"; \
1045             else \
1046               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
1047             fi; \
1048           else \
1049             if test "$$xpass" -eq 0; then \
1050               banner="$$failed of $$all tests failed"; \
1051             else \
1052               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
1053             fi; \
1054           fi; \
1055           dashes="$$banner"; \
1056           skipped=""; \
1057           if test "$$skip" -ne 0; then \
1058             skipped="($$skip tests were not run)"; \
1059             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1060               dashes="$$skipped"; \
1061           fi; \
1062           report=""; \
1063           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1064             report="Please report to $(PACKAGE_BUGREPORT)"; \
1065             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1066               dashes="$$report"; \
1067           fi; \
1068           dashes=`echo "$$dashes" | sed s/./=/g`; \
1069           echo "$$dashes"; \
1070           echo "$$banner"; \
1071           test -z "$$skipped" || echo "$$skipped"; \
1072           test -z "$$report" || echo "$$report"; \
1073           echo "$$dashes"; \
1074           test "$$failed" -eq 0; \
1075         else :; fi
1076
1077 distdir: $(DISTFILES)
1078         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1079         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1080         list='$(DISTFILES)'; \
1081           dist_files=`for file in $$list; do echo $$file; done | \
1082           sed -e "s|^$$srcdirstrip/||;t" \
1083               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1084         case $$dist_files in \
1085           */*) $(MKDIR_P) `echo "$$dist_files" | \
1086                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1087                            sort -u` ;; \
1088         esac; \
1089         for file in $$dist_files; do \
1090           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1091           if test -d $$d/$$file; then \
1092             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1093             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1094               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
1095             fi; \
1096             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
1097           else \
1098             test -f $(distdir)/$$file \
1099             || cp -p $$d/$$file $(distdir)/$$file \
1100             || exit 1; \
1101           fi; \
1102         done
1103 check-am: all-am
1104         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1105 check: check-am
1106 all-am: Makefile $(PROGRAMS)
1107 installdirs:
1108 install: install-am
1109 install-exec: install-exec-am
1110 install-data: install-data-am
1111 uninstall: uninstall-am
1112
1113 install-am: all-am
1114         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1115
1116 installcheck: installcheck-am
1117 install-strip:
1118         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1119           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1120           `test -z '$(STRIP)' || \
1121             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1122 mostlyclean-generic:
1123
1124 clean-generic:
1125         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1126
1127 distclean-generic:
1128         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1129         -rm -f gras/datadesc/$(am__dirstamp)
1130         -rm -f gras/msg_handle/$(am__dirstamp)
1131         -rm -f simdag/$(am__dirstamp)
1132         -rm -f simdag/network/$(am__dirstamp)
1133         -rm -f simdag/network/mxn/$(am__dirstamp)
1134         -rm -f simdag/network/p2p/$(am__dirstamp)
1135         -rm -f simdag/partask/$(am__dirstamp)
1136         -rm -f xbt/$(am__dirstamp)
1137
1138 maintainer-clean-generic:
1139         @echo "This command is intended for maintainers to use"
1140         @echo "it deletes files that may require special tools to rebuild."
1141 clean: clean-am
1142
1143 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
1144         mostlyclean-am
1145
1146 distclean: distclean-am
1147         -rm -rf ./$(DEPDIR)
1148         -rm -f Makefile
1149 distclean-am: clean-am distclean-compile distclean-generic \
1150         distclean-tags
1151
1152 dvi: dvi-am
1153
1154 dvi-am:
1155
1156 html: html-am
1157
1158 info: info-am
1159
1160 info-am:
1161
1162 install-data-am:
1163
1164 install-dvi: install-dvi-am
1165
1166 install-exec-am:
1167
1168 install-html: install-html-am
1169
1170 install-info: install-info-am
1171
1172 install-man:
1173
1174 install-pdf: install-pdf-am
1175
1176 install-ps: install-ps-am
1177
1178 installcheck-am:
1179
1180 maintainer-clean: maintainer-clean-am
1181         -rm -rf ./$(DEPDIR)
1182         -rm -f Makefile
1183 maintainer-clean-am: distclean-am maintainer-clean-generic
1184
1185 mostlyclean: mostlyclean-am
1186
1187 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1188         mostlyclean-libtool
1189
1190 pdf: pdf-am
1191
1192 pdf-am:
1193
1194 ps: ps-am
1195
1196 ps-am:
1197
1198 uninstall-am:
1199
1200 .MAKE: install-am install-strip
1201
1202 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
1203         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
1204         distclean distclean-compile distclean-generic \
1205         distclean-libtool distclean-tags distdir dvi dvi-am html \
1206         html-am info info-am install install-am install-data \
1207         install-data-am install-dvi install-dvi-am install-exec \
1208         install-exec-am install-html install-html-am install-info \
1209         install-info-am install-man install-pdf install-pdf-am \
1210         install-ps install-ps-am install-strip installcheck \
1211         installcheck-am installdirs maintainer-clean \
1212         maintainer-clean-generic mostlyclean mostlyclean-compile \
1213         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1214         tags uninstall uninstall-am
1215
1216
1217 #################
1218 ### XBT tests ###
1219 #################
1220
1221   #######################
1222
1223 ##################
1224 ### GRAS tests ###
1225 ##################
1226
1227   #############################################
1228
1229 gras/datadesc/datadesc_structs.c: gras/datadesc/mk_datadesc_structs.pl
1230         perl $(top_srcdir)/teshsuite/gras/datadesc/mk_datadesc_structs.pl > $@
1231
1232   ##########################################
1233
1234 gras/msg_handle/_msg_handle_simulator.c gras/msg_handle/_msg_handle_client.c gras/msg_handle/_msg_handle_server.c : gras/msg_handle/msg_handle.c gras/msg_handle/msg_handle.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
1235         mkdir -p gras/msg_handle; \
1236           cd gras/msg_handle;\
1237           ../../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ msg_handle ../../$(top_srcdir)/teshsuite/gras/msg_handle/msg_handle.xml
1238
1239 dist-files:
1240         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
1241         @echo
1242         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
1243 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1244 # Otherwise a system limit (for SysV at least) may be exceeded.
1245 .NOEXPORT: